#!/usr/bin/env python3

import os

from pydicom import dcmread


RTSS = '/Patient/RTSS/66351478_struct_set_2022-10-03_10-00-35.dcm'
ReferenceRoot = '/nn/6635147/20220930/MR'


ds = dcmread(RTSS)

print(ds)
exit()

# print(ds['Frame of Reference UID'])
# print(dir(ds))

FrameOfReferenceUID = ds.FrameOfReferenceUID
print(FrameOfReferenceUID)

for root, dirs, files in os.walk(ReferenceRoot):
    for name in files:
        dcm = os.path.join(root, name)
        print(dcm)
        ds = dcmread(dcm)
        break
        
    print(ds.SeriesInstanceUID)
#     break
    

